org.apache.olingo.commons.api.data

## Class EntityIterator

- java.lang.Object
- - org.apache.olingo.commons.api.data.Annotatable
  - - org.apache.olingo.commons.api.data.AbstractODataObject
    - - org.apache.olingo.commons.api.data.AbstractEntityCollection
      - - org.apache.olingo.commons.api.data.EntityIterator

- All Implemented Interfaces:
    Iterable<Entity>, Iterator<Entity>

      public abstract class EntityIterator
      extends AbstractEntityCollection
      implements Iterator<Entity>

  Data representation as an Iterator for a collection of single entities.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EntityIterator()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Integer` | `getCount()` Gets count
    `URI` | `getDeltaLink()` ATTENTION: `getDeltaLink` is not supported by default.
    `URI` | `getNext()` Gets next link.
    `List<Operation>` | `getOperations()` ATTENTION: `getOperations` is not supported by default.
    `abstract boolean` | `hasNext()`
    `Iterator<Entity>` | `iterator()`
    `abstract Entity` | `next()` Which is an Entity for this type of iterator.
    `void` | `remove()` ATTENTION: `remove` is not supported by default.
    `void` | `setCount(Integer count)` Sets count.
    `void` | `setNext(URI next)` Sets next link.

    - ### Methods inherited from class org.apache.olingo.commons.api.data.AbstractODataObject

      `equals, getBaseURI, getId, getTitle, hashCode, setBaseURI, setCommonProperty, setId`

    - ### Methods inherited from class org.apache.olingo.commons.api.data.Annotatable

      `getAnnotations`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.util.Iterator

      `forEachRemaining`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach, spliterator`

- - ### Constructor Detail

    - #### EntityIterator

          public EntityIterator()

  - ### Method Detail

    - #### hasNext

          public abstract boolean hasNext()

      Specified by:
        `hasNext` in interface `Iterator<Entity>`

    - #### next

          public abstract Entity next()

      Which is an Entity for this type of iterator.
      Specified by:
        `next` in interface `Iterator<Entity>`

    - #### remove

          public void remove()

      ATTENTION: `remove` is not supported by default.
      Specified by:
        `remove` in interface `Iterator<Entity>`

    - #### getOperations

          public List<Operation> getOperations()

      ATTENTION: `getOperations` is not supported by default.
      Specified by:
        `getOperations` in class `AbstractEntityCollection`

    - #### iterator

          public Iterator<Entity> iterator()

      Specified by:
        `iterator` in interface `Iterable<Entity>`

    - #### getCount

          public Integer getCount()

      Gets count
      Specified by:
        `getCount` in class `AbstractEntityCollection`

    - #### getNext

          public URI getNext()

      Gets next link.
      Specified by:
        `getNext` in class `AbstractEntityCollection`

    - #### getDeltaLink

          public URI getDeltaLink()

      ATTENTION: `getDeltaLink` is not supported by default.
      Specified by:
        `getDeltaLink` in class `AbstractEntityCollection`

    - #### setNext

          public void setNext(URI next)

      Sets next link.
      Parameters:
        `next` - next link.

    - #### setCount

          public void setCount(Integer count)

      Sets count.
      Parameters:
        `count` - count value.

Copyright © 2013–2022 The Apache Software Foundation. All rights reserved.